ompi/mca/pml/teg/pml_ptl_array.h File Reference.TH "ompi/mca/pml/teg/pml_ptl_array.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/teg/pml_ptl_array.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'mca/ptl/ptl.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_proc_t\fP \fBmca_ptl_proc_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_array_t\fP \fBmca_ptl_array_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_array_t\fP \fBmca_pml_teg_ptl_array_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBmca_ptl_array_reserve\fP (\fBmca_ptl_array_t\fP *, size_t)"
.br
.RI "\fIIf required, reallocate (grow) the array to the indicate size. \fP"
.ti -1c
.RI "static size_t \fBmca_ptl_array_get_size\fP (\fBmca_ptl_array_t\fP *array)"
.br
.ti -1c
.RI "static void \fBmca_ptl_array_set_size\fP (\fBmca_ptl_array_t\fP *array, size_t size)"
.br
.RI "\fIGrow the array if required, and set the size. \fP"
.ti -1c
.RI "static \fBmca_ptl_proc_t\fP * \fBmca_ptl_array_insert\fP (\fBmca_ptl_array_t\fP *array)"
.br
.RI "\fIGrow the array size by one and return the item at that index. \fP"
.ti -1c
.RI "static \fBmca_ptl_proc_t\fP * \fBmca_ptl_array_get_index\fP (\fBmca_ptl_array_t\fP *array, size_t index)"
.br
.RI "\fIReturn an array item at the specified index. \fP"
.ti -1c
.RI "static \fBmca_ptl_proc_t\fP * \fBmca_ptl_array_get_next\fP (\fBmca_ptl_array_t\fP *array)"
.br
.RI "\fIReturn the next LRU index in the array. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBopal_class_t\fP \fBmca_pml_teg_ptl_array_t_class\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "static \fBmca_ptl_proc_t\fP* mca_ptl_array_get_index (\fBmca_ptl_array_t\fP * array, size_t index)\fC [inline, static]\fP"
.PP
Return an array item at the specified index. 
.PP
\fBParameters:\fP
.RS 4
\fIarray\fP (IN) 
.br
\fIindex\fP (IN) 
.RE
.PP

.SS "static \fBmca_ptl_proc_t\fP* mca_ptl_array_get_next (\fBmca_ptl_array_t\fP * array)\fC [inline, static]\fP"
.PP
Return the next LRU index in the array. 
.PP
\fBParameters:\fP
.RS 4
\fIarray\fP (IN) 
.br
\fIindex\fP (IN) 
.RE
.PP

.SS "static \fBmca_ptl_proc_t\fP* mca_ptl_array_insert (\fBmca_ptl_array_t\fP * array)\fC [inline, static]\fP"
.PP
Grow the array size by one and return the item at that index. 
.PP
\fBParameters:\fP
.RS 4
\fIarray\fP (IN) 
.RE
.PP

.SS "int mca_ptl_array_reserve (\fBmca_ptl_array_t\fP *, size_t)"
.PP
If required, reallocate (grow) the array to the indicate size. 
.PP
\fBParameters:\fP
.RS 4
\fIarray\fP (IN) 
.br
\fIsize\fP (IN) 
.RE
.PP

.SS "static void mca_ptl_array_set_size (\fBmca_ptl_array_t\fP * array, size_t size)\fC [inline, static]\fP"
.PP
Grow the array if required, and set the size. 
.PP
\fBParameters:\fP
.RS 4
\fIarray\fP (IN) 
.br
\fIsize\fP (IN) 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
